#ifndef SIMRUN_H_
#define SIMRUN_H_

#include "gType.h" 
#include "GraphBase.h"
#include "string.h"
#include "my_string.h"
#include "Device.h"
#include "EpDevice.h"
#include "StaticText.h"
#include "CtlPanel1.h"
#include "ProtoInnerCan.h"

class TSimRun{
	public:
		unsigned int OnActive;
		TCtlPanel1 *aPanel;
	public:
		TStaticText Caption;
		TStaticText SText;

		u32 Color;
		u32 TextColor;
		u32 SelectedColor;
		u32 SelectedTextColor;
	
		int TabOrder;
	
		TRect Bound;	
		TRect VScrollBarBox;
	
		TRect Content;
		TRect RectPanel;
		
		TMyString Str;
		
		unsigned int CtlIndex;
		unsigned int FastIndex;
		
		int IsReqAdjMode;
		int Index;
		unsigned char Data[8];
		unsigned char SelectedType;
		unsigned char SelectedCmd;
		int IsOnShow;
		int IsRunCmd;
		unsigned char RunTick;
		unsigned char SendingAddr;
		
		char tText[12];
		char Text[64];
		
		unsigned char aP0, aAStart, aAEnd ,TickCount;
	private:
		void SetListColWidth(int w0, int w1, int w2, int w3, int w4,int w5,int w6, int w7, int w8, int w9);
	public:
		TSimRun(){};
		TSimRun(int x1, int y1, int aW, int aH, int OwnerX, int OwnerY, u32 aColor){
			Init(x1, y1, aW, aH, OwnerX, OwnerY, aColor);
		}
		void Init(int x1, int y1, int aW, int aH, int OwnerX, int OwnerY, u32 aColor);
	
		void SetAndShowCaption(unsigned char aType);
		
		void RenderBackGround(void);
		void RenderBackGround(unsigned int aClr);
		void DrawSelf(void);
		
		void Show(void);
		void ReDraw(void);
		void FullRedraw(int Prm);
		void DrawCaption2(void);
		
		TGuiMsgReturn KeyIn(unsigned char aKey);
		
		void InitPanel();
		void ShowType(void);
		
		void Check4Selected(void);
		
		void SendCmd();
		void SendFastCmd();
		
		void InitData();
		void FillTime(char *p);
		void InfInc(unsigned char aCmd, unsigned char aP0, unsigned char aP1, unsigned char aType);
		void ReDrawInf();
		
		void Task1000Ms();
		
		int ExtRequst(unsigned char Prm);

};



#endif

